include	clib.inc
include	conio.inc
include	mouse.inc

PPROC	scbox, x:word, y:word, col:word, row:word, btype:word, color:word
  ifdef __MOUSE__
	call	mousehide
  endif
	mov	al,byte ptr col
	mov	ah,byte ptr row
	push	ax
	mov	al,byte ptr x
	mov	ah,byte ptr y
	push	ax
	push	_scrseg
	push	0
	push	80
	mov	ah,byte ptr color
	mov	al,byte ptr btype
	push	ax
	call	rcframe
  ifdef __MOUSE__
	call	mouseshow
  endif
	ret
PEND	scbox

	END
